# DataExchange
TKSTEP
GeomToStep

# GeomToStep_MakeAxis2Placement3d Class Reference

This class implements the mapping between classes
Axis2Placement from Geom and Ax2, Ax3 from gp, and the class
Axis2Placement3d from StepGeom which describes an
axis2_placement_3d from Prostep.
.

`#include <GeomToStep_MakeAxis2Placement3d.hxx>`

Inheritance diagram for GeomToStep_MakeAxis2Placement3d:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | GeomToStep_MakeAxis2Placement3d ()
Standard_EXPORT | GeomToStep_MakeAxis2Placement3d (const gp_Ax2 &A)
Standard_EXPORT | GeomToStep_MakeAxis2Placement3d (const gp_Ax3 &A)
Standard_EXPORT | GeomToStep_MakeAxis2Placement3d (const gp_Trsf &T)
Standard_EXPORT | GeomToStep_MakeAxis2Placement3d (const Handle(Geom_Axis2Placement)&A)
Standard_EXPORT const Handle_StepGeom_Axis2Placement3d & | Value () const

## Private Attributes

Handle_StepGeom_Axis2Placement3d | theAxis2Placement3d

## Constructor & Destructor Documentation

Standard_EXPORT GeomToStep_MakeAxis2Placement3d::GeomToStep_MakeAxis2Placement3d | ( |  | ) |

Standard_EXPORT GeomToStep_MakeAxis2Placement3d::GeomToStep_MakeAxis2Placement3d | ( | const gp_Ax2 & | A | ) |

Standard_EXPORT GeomToStep_MakeAxis2Placement3d::GeomToStep_MakeAxis2Placement3d | ( | const gp_Ax3 & | A | ) |

Standard_EXPORT GeomToStep_MakeAxis2Placement3d::GeomToStep_MakeAxis2Placement3d | ( | const gp_Trsf & | T | ) |

Standard_EXPORT GeomToStep_MakeAxis2Placement3d::GeomToStep_MakeAxis2Placement3d | ( | const Handle(Geom_Axis2Placement)& | A | ) |

## Member Function Documentation

void GeomToStep_MakeAxis2Placement3d::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeAxis2Placement3d::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeAxis2Placement3d::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from GeomToStep_Root.

Standard_EXPORT const Handle_StepGeom_Axis2Placement3d& GeomToStep_MakeAxis2Placement3d::Value | ( |  | ) | const

## Field Documentation

Handle_StepGeom_Axis2Placement3d GeomToStep_MakeAxis2Placement3d::theAxis2Placement3d `[private]`

The documentation for this class was generated from the following file:

- GeomToStep_MakeAxis2Placement3d.hxx